---
- name: Install Vundle for Vim
  git:
    repo: https://github.com/VundleVim/Vundle.vim.git
    dest: /root/.vim/bundle/Vundle.vim
- name: Configure .vimrc file to use Vundle
  blockinfile:
    path: /root/.vimrc
    owner: root
    group: root
    mode: 0666
    state: present
    create: yes
    marker: '" {mark} Ansible Managed Block'
    block: |
      set nocompatible              
      filetype off
      filetype plugin indent on
      filetype indent on
      syntax on
      set clipboard=unnamed
      set number
      set laststatus=2

      set rtp+=~/.vim/bundle/Vundle.vim
      call vundle#begin()
      Plugin 'VundleVim/Vundle.vim'
      Plugin 'joshdick/onedark.vim'
      Plugin 'hashivim/vim-terraform'
      Plugin 'python-mode/python-mode'
      Plugin 'itchyny/lightline.vim'
      Plugin 'sheerun/vim-polyglot'
      call vundle#end()            
   
      colorscheme onedark
      let g:lightline = {
        \ 'colorscheme': 'onedark',
        \ }
      let g:terraform_align=1
      let g:terraform_fmt_on_save=1
